%define		snapshot 20070102git

Name:		xorg-x11-server-Xgl
Version:	0
Release:	0.7.%{snapshot}%{?dist}
Summary:	Xserver that uses OpenGL for its drawing operations
License:	X11/MIT
URL:		http://www.freedesktop.org/Software/Xgl
Group:		User Interface/X
# git tar-tree xgl-0-0-1 xorg-x11-server-Xgl | bzip2 > %{name}-%{version}-%{release}.tar.bz2
Source0:	xorg-x11-server-Xgl-%{version}-%{snapshot}.tar.bz2
Source1:	xorg-x11-server-Xgl-noXgl
Source2:	xorg-x11-server-Xgl-README.Fedora
Patch0:		xorg-x11-server-Xgl-0-0.1-selinux.patch
Patch1:		xorg-x11-server-Xgl-0-0.5-fix-mesa-symlink.patch
Patch2:		xorg-x11-server-Xgl-0-0.1-java-wmhack.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	libX11-devel
BuildRequires:	libXfont-devel
BuildRequires:	libXrandr-devel
BuildRequires:	libXrender-devel
BuildRequires:	libXt-devel
BuildRequires:	libfontenc-devel
BuildRequires:	libdrm-devel
BuildRequires:	libxkbui-devel
BuildRequires:	libXaw-devel
BuildRequires:	libXpm-devel
BuildRequires:	freetype-devel
BuildRequires:	xorg-x11-xtrans-devel
BuildRequires:	libxkbfile-devel
BuildRequires:	libXext-devel
BuildRequires:	libXxf86misc-devel
BuildRequires:	libXxf86vm-devel
BuildRequires:	xorg-x11-proto-devel >= 7.1-9
BuildRequires:	xorg-x11-util-macros
BuildRequires:	libXtst-devel
BuildRequires:	libXres-devel
BuildRequires:	glitz-glx-devel
BuildRequires:	libdmx-devel
BuildRequires:	mesa-source >= 6.5.1
BuildRequires:	libselinux-devel
BuildRequires:	libtool
BuildRequires:	libXinerama-devel
Requires: system-config-xselector

%description
Xgl is an Xserver that uses OpenGL for its drawing operations.
Some operations like antialiased font rendering is noticably 
faster with this technology, and future graphics hardware might only 
have support for 3D operations and no 2D core any more.

Note that this is highly experimental code, it has been tested only on
few hardware platforms, and depending on driver state it may even crash
your computer. But you like danger, dontcha? That's right.

More informations avalaible in the README.Fedora file.

%prep
%setup -q -n %{name}
%patch0 -p0 -b .selinux
#patch1 -p0 -b .fix-mesa-symlink
%patch2 -p0 -b .java-wmhack.patch
autoreconf -v --install 

%build
%configure --prefix=%{_prefix} \
	--with-default-font-path="unix/:7100,built-ins" \
	--with-fontdir=%(pkg-config --variable=fontdir fontutil) \
	--with-xkb-output=%{_localstatedir}/lib/xkb \
	--with-rgb-path=%{_datadir}/X11/rgb \
	--with-mesa-source=%{_datadir}/mesa/source \
	--with-release-snap=1 \
	--disable-xorg	\
	--disable-xprint \
	--disable-dmx \
	--disable-xvfb	\
	--disable-xnest \
	--disable-aiglx \
	--disable-static \
	--enable-xgl \
	--enable-glx \
	--enable-dri \
	--enable-xglx 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -pm 755 %{SOURCE1} %{buildroot}%{_bindir}/noXgl
install -pm 644 %{SOURCE2} README.Fedora

# remove uneeded files
find %{buildroot} -name '*.la' -exec rm -f {} ';'
# these files are already provided by the Xorg package
rm -rf %{buildroot}%{_datadir}
rm -rf %{buildroot}%{_libdir}/pkgconfig
rm -rf %{buildroot}%{_libdir}/xserver
rm -rf %{buildroot}%{_sysconfdir}/X11/xserver/SecurityPolicy
rm -rf %{buildroot}/exa.h
rm -rf %{buildroot}/randrstr.h
rm -rf %{buildroot}/usr/man
rm -rf %{buildroot}/%{_localstatedir}/lib/xkb/README.compiled

%post
system-config-xselector --set-xgl

%postun
system-config-xselector --set-aiglx

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc COPYING ChangeLog README.Fedora
%{_bindir}/Xgl
%{_bindir}/noXgl
%{_libdir}/xorg/modules/xgl

%changelog
* Thu May 31 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.7.20070102git
- Drop patch1
 
* Thu May 31 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.6.20070102git
- Add require system-config-xselector
- enable/disable Xgl on install/uninstall

* Mon Mar 05 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.4.20070102git
- Add BuildRequires libXinerama-devel suggested by Jonathan Steffan.
- remove the %post script.
 
* Mon Feb 26 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.3.20070102git
- Make some changes suggested by Thorsten (bz 192436 comment 21)

* Mon Feb 14 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.2.20070102git
- fix keyboard mapping (--with-xkb-output)
- cleanup %configure

* Mon Feb 14 2007 Alphonse Van Assche <alcapcom@gmail.com> 0-0.1.20070102git
- set r v according with Packaging/NamingGuidelines.
- remove disabled patches.
- add java-wmhack.patch (fix swing app bug??)
- cleanup spec style.
- add README.Fedora and noXgl files

* Mon Oct 09 2006 Alphonse Van Assche <alcapcom@gmail.com> 0.0.1-1
- Update with last from git.
- Add some missing dependencies.
- add path for Mesa selinux stuff.
- fix line sizes.
